> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ECB Supported Currencies

> This operation is to get ECB supported currenciess



## OpenAPI

````yaml exchange-rate get /v1/ecb/currencies
openapi: 3.0.3
info:
  description: >
    Endpoint for querying FX rates of payment scheme (including benchmark to ECB
    FX rates).

    API enables the issuer to comply with regulation (EU) 2019/518) and provide
    the cardholder with a better user experience by providing real-time
    visibility to scheme FX rates that are used for card transactions.
  version: '1'
  title: Exchange Rates API
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: https://developer.enfuce.com/images/enfuce.svg
    altText: Enfuce logo
servers:
  - url: >-
      https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/exchange-rate
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/exchange-rate
    description: Live environment
security: []
tags:
  - name: Get FX exchange rates
  - name: Get ECB supported currencies
  - name: Get ECB exchange rate
paths:
  /v1/ecb/currencies:
    get:
      tags:
        - Get ECB supported currencies
      summary: ECB Supported Currencies
      description: This operation is to get ECB supported currenciess
      operationId: getEcbSupportedCurrenciesV1
      parameters:
        - name: auditUser
          in: query
          description: The audit user to log the request
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getEcbSupportedCurrenciesV1Response'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
      deprecated: false
components:
  schemas:
    getEcbSupportedCurrenciesV1Response:
      type: array
      items:
        $ref: '#/components/schemas/currency'
    errorResponse:
      type: object
      properties:
        code:
          type: string
          description: An error code indicating what kind of error. I.e. HTTP error code
        message:
          type: string
          description: Error message in human-readable format
        id:
          type: string
          format: uuid
          description: Unique error identifier
        errorCode:
          type: string
          description: Enfuce code for a specific error type
        errorType:
          type: string
          description: Error type
          enum:
            - STATIC_VALIDATION_ERROR
            - DYNAMIC_VALIDATION_ERROR
            - INTEGRATION_ERROR
            - SECURITY_ERROR
            - UNEXPECTED_ERROR
        errorReason:
          type: string
          description: Free-form text explaining the error reason
        timestamp:
          type: string
          format: date-time
          description: Datetime when error occurred
    currency:
      type: string
      description: Any ECB supported currency with valid ISO 4217 currency code
      pattern: '[A-Z]{3}'
      example: EUR

````